    Galactic extinction: the Seaton model from Synphot.

seaton

The interstellar extinction is calculated using the formula from [1] as implemented in STSCI's Synphot program [2] . The supported wavelength range is 1000 to 10000 Angstroms, and the Notes section describes the changes from [1] . This model is intended to be used to modify another model (e.g. by multiplying the two together). It is for use when the independent axis is in Angstrom.

>>> create_model_component("seaton", "mdl")
>>> print(mdl)

Create a component of the seaton model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.ebv thawed 0.5 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attribute for this object is:

Attribute
Definition
ebv
E(B-V)

Notes

The formulae are based on an adopted value of R=3.20.

For wavelengths above 3704 Angstrom, the function interpolates linearly in 1/lambda in table 3 [1] . For wavelengths below this, the formulae from table 2 [1] are used (see also [3] , corrected to R=3.2). The formulae match at the endpoints of their respective intervals. There is a mismatch of 0.009 mag/ebmv at nu=2.7 (lambda=3704 Angstrom). Seaton's tabulated value of 1.44 mag at 1/lambda = 1.1 may be in error; 1.64 seems more consistent with his other values.

For wavelengths below 1000 Angstrom, a constant value equal to the value at 1000 Angstrom is used. For wavelengths above 10000 Angstroms a linear extrapolation (in 1/lambda) is used.

When evaluated on a binned grid, the lower-edges of the bins are used for the calculation.

References

[1] Seaton, M. J. 1979, MNRAS, 187, 73 http://adsabs.harvard.edu/abs/1979MNRAS.187P..73S
[2] http://www.stsci.edu/institute/software_hardware/stsdas/synphot
[3] Nandy et al., 1975, A&A, 44, 195-203. http://adsabs.harvard.edu/abs/1975A%26A....44..195N

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023